# Makefile for 32-bit build
dllname = extra.dll

# This command doesn't create inport library
extra: extra.o
	g++ -m32 -mdll -o $(dllname) -nostdlib -Wl,--entry,_DllMain@12 -Wl,--enable-stdcall-fixup extra.def extra.o
	strip --strip-all $(dllname)

extra.o: extra.cpp
	g++ -m32 -mssse3 -O3 -c extra.cpp

clean:
	del extra.o

